diff -u --recursive --new-file apps/Makefile.orig2 apps/Makefile
--- apps/Makefile.orig2	Fri Apr  8 11:31:07 2005
+++ apps/Makefile	Fri Apr  8 22:48:01 2005
@@ -56,11 +56,14 @@
 APPS+=$(shell if [ -f $(CROSS_COMPILE_TARGET)/usr/local/include/zaptel.h ]; then echo "app_zapras.so app_meetme.so app_flash.so app_zapbarge.so app_zapscan.so" ; fi)
 APPS+=$(shell if [ -f $(CROSS_COMPILE_TARGET)/usr/include/osp/osp.h ]; then echo "app_osplookup.so" ; fi)
 
-CURLLIBS=$(shell $(CROSS_COMPILE_BIN)curl-config --libs)
-ifneq (${CURLLIBS},)
-	APPS+=app_curl.so
-	ifeq (${OSARCH},OpenBSD)
-		CFLAGS+=-I$(CROSS_COMPILE_TARGET)/usr/local/include
+CURLVERSION=$(shell $(CROSS_COMPILE_BIN)curl-config --vernum 2>/dev/null || echo "000000")
+ifeq ($(shell if [ -n "$(CURLVERSION)" ] && let "0x$(CURLVERSION) >= 0x70907" ; then echo "Ok"; else echo "WARNING: Version of libcurl is outdated or library is not installed" >&2; echo "Fail"; fi ),Ok)
+	CURLLIBS=$(shell $(CROSS_COMPILE_BIN)curl-config --libs)
+	ifneq (${CURLLIBS},)
+		APPS+=app_curl.so
+		ifeq (${OSARCH},OpenBSD)
+			CFLAGS+=-I$(CROSS_COMPILE_TARGET)/usr/local/include
+		endif
 	endif
 endif 
 CFLAGS+=-fPIC
